Usage

Usage data

get

Returns the usage of a contract

Authorizations
AuthorizationstringRequired
Path parameters
contractintegerRequired

Contract number

Pattern: [0-9]{5,10}
Query parameters
periodstringOptional

Period of interest in format YYYY-MM (current month by default if not specified)

Pattern: ^\d{4}-\d{2}$
Responses
chevron-right
200

Result data

application/json
startDatestring · dateOptionalExample: 2020-01-01
endDatestring · dateOptionalExample: 2020-01-12
get
/{contract}/usage
get

Returns the usage of a contract for a given data-center

Authorizations
AuthorizationstringRequired
Path parameters
contractintegerRequired

Contract number

Pattern: [0-9]{5,10}
dcstring · nullableRequired

Get data for the particular data-center ID (VDC UUID)

Example: ad34b997-43c7-4666-889b-57acbeaeeb8bPattern: ^([a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}|null)$
Query parameters
periodstringOptional

Period of interest in format YYYY-MM (current month by default if not specified)

Pattern: ^\d{4}-\d{2}$
Responses
chevron-right
200

Result data

application/json
startDatestring · dateOptionalExample: 2020-01-01
endDatestring · dateOptionalExample: 2020-01-12
get
/{contract}/usage/{dc}

Last updated

Was this helpful?